package net.schueller.peertube.presentation.ui.theme.colors.red
import androidx.compose.material3.lightColorScheme
import androidx.compose.ui.graphics.Color


val md_theme_light_primary = Color(0xFFb22735)
val md_theme_light_onPrimary = Color(0xFFffffff)
val md_theme_light_primaryContainer = Color(0xFFffd9d9)
val md_theme_light_onPrimaryContainer = Color(0xFF410007)
val md_theme_light_secondary = Color(0xFF765655)
val md_theme_light_onSecondary = Color(0xFFffffff)
val md_theme_light_secondaryContainer = Color(0xFFffdad9)
val md_theme_light_onSecondaryContainer = Color(0xFF2c1515)
val md_theme_light_tertiary = Color(0xFF745a2f)
val md_theme_light_onTertiary = Color(0xFFffffff)
val md_theme_light_tertiaryContainer = Color(0xFFffddaa)
val md_theme_light_onTertiaryContainer = Color(0xFF281800)
val md_theme_light_error = Color(0xFFba1b1b)
val md_theme_light_errorContainer = Color(0xFFffdad4)
val md_theme_light_onError = Color(0xFFffffff)
val md_theme_light_onErrorContainer = Color(0xFF410001)
val md_theme_light_background = Color(0xFFfcfcfc)
val md_theme_light_onBackground = Color(0xFF201a1a)
val md_theme_light_surface = Color(0xFFfcfcfc)
val md_theme_light_onSurface = Color(0xFF201a1a)
val md_theme_light_surfaceVariant = Color(0xFFf4dddc)
val md_theme_light_onSurfaceVariant = Color(0xFF524343)
val md_theme_light_outline = Color(0xFF857372)
val md_theme_light_inverseOnSurface = Color(0xFFfbeeed)
val md_theme_light_inverseSurface = Color(0xFF362f2f)

val md_theme_dark_primary = Color(0xFFffb3b4)
val md_theme_dark_onPrimary = Color(0xFF680011)
val md_theme_dark_primaryContainer = Color(0xFF900921)
val md_theme_dark_onPrimaryContainer = Color(0xFFffd9d9)
val md_theme_dark_secondary = Color(0xFFe6bdbc)
val md_theme_dark_onSecondary = Color(0xFF442929)
val md_theme_dark_secondaryContainer = Color(0xFF5d3f3f)
val md_theme_dark_onSecondaryContainer = Color(0xFFffdad9)
val md_theme_dark_tertiary = Color(0xFFe4c18d)
val md_theme_dark_onTertiary = Color(0xFF412d05)
val md_theme_dark_tertiaryContainer = Color(0xFF5b431a)
val md_theme_dark_onTertiaryContainer = Color(0xFFffddaa)
val md_theme_dark_error = Color(0xFFffb4a9)
val md_theme_dark_errorContainer = Color(0xFF930006)
val md_theme_dark_onError = Color(0xFF680003)
val md_theme_dark_onErrorContainer = Color(0xFFffdad4)
val md_theme_dark_background = Color(0xFF201a1a)
val md_theme_dark_onBackground = Color(0xFFede0df)
val md_theme_dark_surface = Color(0xFF201a1a)
val md_theme_dark_onSurface = Color(0xFFede0df)
val md_theme_dark_surfaceVariant = Color(0xFF524343)
val md_theme_dark_onSurfaceVariant = Color(0xFFd8c2c1)
val md_theme_dark_outline = Color(0xFFa08c8b)
val md_theme_dark_inverseOnSurface = Color(0xFF201a1a)
val md_theme_dark_inverseSurface = Color(0xFFede0df)

val seed = Color(0xFFa51d2d)
val error = Color(0xFFba1b1b)


// RED Theme
val LightThemeColors = lightColorScheme(
    primary = md_theme_light_primary,
    onPrimary = md_theme_light_onPrimary,
    primaryContainer = md_theme_light_primaryContainer,
    onPrimaryContainer = md_theme_light_onPrimaryContainer,
    secondary = md_theme_light_secondary,
    onSecondary = md_theme_light_onSecondary,
    secondaryContainer = md_theme_light_secondaryContainer,
    onSecondaryContainer = md_theme_light_onSecondaryContainer,
    tertiary = md_theme_light_tertiary,
    onTertiary = md_theme_light_onTertiary,
    tertiaryContainer = md_theme_light_tertiaryContainer,
    onTertiaryContainer = md_theme_light_onTertiaryContainer,
    error = md_theme_light_error,
    errorContainer = md_theme_light_errorContainer,
    onError = md_theme_light_onError,
    onErrorContainer = md_theme_light_onErrorContainer,
    background = md_theme_light_background,
    onBackground = md_theme_light_onBackground,
    surface = md_theme_light_surface,
    onSurface = md_theme_light_onSurface,
    surfaceVariant = md_theme_light_surfaceVariant,
    onSurfaceVariant = md_theme_light_onSurfaceVariant,
    outline = md_theme_light_outline,
    inverseOnSurface = md_theme_light_inverseOnSurface,
    inverseSurface = md_theme_light_inverseSurface,
)

val DarkThemeColors = lightColorScheme(
    primary = md_theme_dark_primary,
    onPrimary = md_theme_dark_onPrimary,
    primaryContainer = md_theme_dark_primaryContainer,
    onPrimaryContainer = md_theme_dark_onPrimaryContainer,
    secondary = md_theme_dark_secondary,
    onSecondary = md_theme_dark_onSecondary,
    secondaryContainer = md_theme_dark_secondaryContainer,
    onSecondaryContainer = md_theme_dark_onSecondaryContainer,
    tertiary = md_theme_dark_tertiary,
    onTertiary = md_theme_dark_onTertiary,
    tertiaryContainer = md_theme_dark_tertiaryContainer,
    onTertiaryContainer = md_theme_dark_onTertiaryContainer,
    error = md_theme_dark_error,
    errorContainer = md_theme_dark_errorContainer,
    onError = md_theme_dark_onError,
    onErrorContainer = md_theme_dark_onErrorContainer,
    background = md_theme_dark_background,
    onBackground = md_theme_dark_onBackground,
    surface = md_theme_dark_surface,
    onSurface = md_theme_dark_onSurface,
    surfaceVariant = md_theme_dark_surfaceVariant,
    onSurfaceVariant = md_theme_dark_onSurfaceVariant,
    outline = md_theme_dark_outline,
    inverseOnSurface = md_theme_dark_inverseOnSurface,
    inverseSurface = md_theme_dark_inverseSurface,
)